package com.ysnows.base.net

interface IResp<D> {
    fun ok(showError: Boolean = false): Boolean
    fun code(): Int
    fun msg(): String?
    fun data(): D?
    fun count(): Int
    fun total(): Int
    fun more(page: Int): Boolean
    fun empty(): Boolean
    fun isLogin():Int
    fun more(page: Int, pageCount: Int): Boolean
}
